$primary-color: rgb(44, 44, 44);
$secondary-color: #56ca90;
$show-home-image: true;
$home-image: url("https://images.pexels.com/photos/296115/pexels-photo-296115.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
$background-opacity: 0.8;

@mixin easeOut {
  transition: all 0.5s ease-out;
}

@mixin background {
  @if $show-home-image {
    &#bg-img {
      background: $home-image;
      background-attachment: fixed;
      background-size: cover;
      &:after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        background: rgba($primary-color, $background-opacity);
      }
    }
  }
}

// Set Text Color
@function set-text-color($color) {
  @if (lightness($color) > 40) {
    @return #111;
  } @else {
    @return #eee;
  }
}

// media query mixin

@mixin mediaSm {
  @media screen and (max-width: 500px) {
    @content;
  }
}

@mixin mediaMd {
  @media screen and (max-width: 768px) {
    @content;
  }
}
@mixin mediaLg {
  @media screen and (min-width: 769px) and (max-width: 1170px) {
    @content;
  }
}
@mixin mediaXl {
  @media screen and (min-width: 1171px) {
    @content;
  }
}
